<main class="absolute inset-0 bg-less-dark">
	<blackbird-templates-nav-bar
		[isBuilding]="isBuilding"
		[resumeLink]="currentResumeLink"
		(shareLink)="openShareLinkDialog()"
		(downloadCv)="downloadResume()"
		(templatesActionSheet)="openTemplatesList()"
	></blackbird-templates-nav-bar>
	<section class="container main-templates-section">
		<div
			*ngIf="!templates || !templates.length"
			class="hidden w-3/12 mdCustom:flex flex-col justify-start items-center templates-list"
		>
			<div *ngFor="let ph of [1, 2, 3]" class="w-40 h-56 template-element ph-item mt-4">
				<div class="ph-col-13">
					<div class="w-5 h-5 rounded-full overflow-hidden">
						<div class="ph-avatar"></div>
					</div>
					<div class="ph-row">
						<div class="ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13"></div>
						<div class="ph-col-13"></div>
					</div>
				</div>
			</div>
		</div>
		<div
			*ngIf="templates && templates.length"
			#templatesList
			class="hidden w-3/12 mdCustom:flex flex-col justify-start items-center templates-list"
		>
			<button
				(click)="selectTemplate(template.codeName)"
				*ngFor="let template of templates"
				[disabled]="isBuilding"
				[id]="template.codeName"
				class="w-40 h-56 template-element flex flex-col justify-start items-center mb-12"
			>
				<h2 class="text-dark text-lg mb-1">{{ template.name }}</h2>
				<div [class.template-image]="template.selected">
					<img
						class="w-40 h-56 cursor-pointer object-cover shadow-cvbuilder-drop-image"
						[src]="template.previewSm"
						[alt]="'Template preview = ' + template.name"
						[title]="template.name"
					/>
					<svg *ngIf="template.selected" viewBox="0 0 50 50" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path
							d="M25.0001 4.16663C13.5001 4.16663 4.16675 13.5 4.16675 25C4.16675 36.5 13.5001 45.8333 25.0001 45.8333C36.5001 45.8333 45.8334 36.5 45.8334 25C45.8334 13.5 36.5001 4.16663 25.0001 4.16663ZM20.8334 35.4166L10.4167 25L13.3542 22.0625L20.8334 29.5208L36.6459 13.7083L39.5834 16.6666L20.8334 35.4166Z"
							fill="#9529ff"
						/>
					</svg>
				</div>
			</button>
		</div>
		<div class="cv-review-section">
			<div *ngIf="!builderAPIPayload" class="ph-item w-full template-resume-ph">
				<div class="ph-col-13">
					<div class="w-10 h-10 mdCustom:w-48 mdCustom:h-48 rounded-full overflow-hidden">
						<div class="ph-avatar"></div>
					</div>
					<div class="ph-row">
						<div class="ph-col-13 empty"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-1 empty"></div>
						<div class="ph-col-8"></div>
						<div class="ph-col-13 empty"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-1 empty"></div>
						<div class="ph-col-8"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-1 empty"></div>
						<div class="ph-col-8"></div>
						<div class="ph-col-13 empty"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-1 empty"></div>
						<div class="ph-col-8"></div>
						<div class="ph-col-4 big"></div>
						<div class="ph-col-1 empty"></div>
						<div class="ph-col-8 big"></div>
						<div class="ph-col-13 big empty"></div>
						<div class="ph-col-4 big"></div>
						<div class="ph-col-1 empty"></div>
						<div class="ph-col-8 big"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-1 empty"></div>
						<div class="ph-col-8 big"></div>
						<div class="ph-col-4"></div>
						<div class="ph-col-9 empty"></div>
						<div class="ph-col-4"></div>
						<div class="hidden mdCustom:inline ph-col-9 empty"></div>
						<div class="hidden mdCustom:inline ph-col-4"></div>
						<div class="hidden mdCustom:inline ph-col-9 empty"></div>
						<div class="hidden mdCustom:inline ph-col-4 empty"></div>
						<div class="hidden mdCustom:inline ph-col-1 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
						<div class="hidden mdCustom:inline ph-col-5 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
						<div class="hidden mdCustom:inline ph-col-5 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
						<div class="hidden mdCustom:inline ph-col-5 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
						<div class="hidden mdCustom:inline ph-col-5 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
						<div class="hidden mdCustom:inline ph-col-13 big empty"></div>
						<div class="hidden mdCustom:inline ph-col-5 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
						<div class="hidden mdCustom:inline ph-col-5 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
						<div class="hidden mdCustom:inline ph-col-5 empty"></div>
						<div class="hidden mdCustom:inline ph-col-8 big"></div>
					</div>
				</div>
			</div>
			<!--			<img-->
			<!--				*ngIf="currentPage && currentPage.path"-->
			<!--				[src]="currentPage.path"-->
			<!--				alt="Cv page one"-->
			<!--				class="px-4 mdCustom:px-0 shadow-cvbuilder-drop-image"-->
			<!--			/>-->

			<blackbird-document-preview
				*ngIf="builderAPIPayload"
				[imageSize]="builderImageSize"
				[buildPayload]="builderAPIPayload"
				[currentPage]="currentPageNumber"
				(totalPages)="totalPages = $event"
				(isBuilding)="isBuilding = $event"
			>
			</blackbird-document-preview>
			<div class="p-2 bg-dark absolute bottom-4 shadow-cvbuilder-drop">
				<blackbird-cv-paginator
					[isTemplatesPage]="true"
					[currentPage]="currentPageNumber"
					[totalPages]="totalPages"
					(goTo)="handlePaginatorChangePage($event)"
				></blackbird-cv-paginator>
			</div>
		</div>
	</section>
</main>
